<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################
 
// Проверяем, имеются ли языковые переменные. Если нет - создаем их.
if (!isset($_SESSION["lang"]))
{
	if (!isset($_COOKIE["lang"])) // Проверяем язык браузера, объявляем языковые переменные. 
	{
		$langs=explode('-',$_SERVER['HTTP_ACCEPT_LANGUAGE']); 
		$lang=preg_replace('/;.*$/','',$langs[0]); 
		$lang=preg_replace('/[^a-zA-Z_\-]/','',$lang);
		
		$cookie_set = setcookie ("lang", $lang, time()+60*60*24*30);
		$_SESSION["lang"] = $lang;
	}
	else
	{
		$_SESSION["lang"] = $_COOKIE["lang"];
	}
}
if(is_file($_SERVER['DOCUMENT_ROOT'].'/kernel/_languages/'.$_SESSION["lang"].'/conf.ini')){
$conf_lang = parse_ini_file($_SERVER['DOCUMENT_ROOT'].'/kernel/_languages/'.$_SESSION["lang"].'/conf.ini',true) or die('ERROR: language file');
}

	$dh = scandir('modules/');
  foreach($dh as $keylang => $f){
   if($f != '.' && $f != '..' && $f != 'index.php'){
    $path = 'modules/'.$f;
    //if(is_dir($path.'_languages/'.$_SESSION["lang"].'')){
	if(is_file($path.'/_languages/'.$_SESSION["lang"].'/general.php')){
	include $path.'/_languages/'.$_SESSION["lang"].'/general.php';
	}
	//}
   }
  }

@require_once $_SERVER['DOCUMENT_ROOT'].'/kernel/_languages/'.$_SESSION["lang"].'/general.php';
?>